Bug 1879655

Summary: [RFE] Implement searching VM's with partial name or case sensitive vm names in VM Portal.
Product: Red Hat Enterprise Virtualization Manager Reporter: Siddhant Rao <sirao>
Component: ovirt-web-uiAssignee: Ben Amsalem <bamsalem>
Status: CLOSED ERRATA QA Contact: Ivana Saranova <isaranov>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 4.3.10CC: emesika, michal.skrivanek, mperina, sgratch
Target Milestone: ovirt-4.4.4Keywords: FutureFeature, Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: ovirt-web-ui-1.6.6-1 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-02 13:57:12 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: UX RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Siddhant Rao 2020-09-16 18:03:32 UTC
Description of problem:
At present, it is not possible to search VM names using case sensitive keys or using partial VM name in VM Portal.

For example, in VM portal, if VM name is,

rhel-python-affinity-1, then it is not possible to search for the VM using simply affinity or Rhel(R is capital, testing for case sensitive)

Version-Release number of selected component (if applicable):
ovirt-engine-4.3.10.4-0.1.el7.noarch

How reproducible:
always

Steps to Reproduce:
1. Create multiple VM's with a specific nomenclature
2. Seach for the VM using only a partial subset of it's name or case sensitive variant of it's name.

Actual results:
No VM's are displayed after searching with any of the above.

Expected results:
Vm's should be displayed after searching with a subset of characters or even if case sensitive text is typed in the search bar.

Additional info:

Comment 9 Siddhant Rao 2020-10-06 03:58:19 UTC
I tried this on 4.4.2.6, I can see that partial searches work, but case sensitivity is still an issue. (Note that my attempts were in VM portal, in Admin portal it works fine for both case sensitive and partial searches).

For example, I had a VM called vm-test-www

I searched with Test(T is capital in Test) and I could not find this VM in VM Portal. I expect it to find this VM.
I can find it in admin portal though, but not VM portal.


We have forwarded the information to the customer that this is resolved in 4.4.2, However I am not sure if the customer has tested this as yet, but it did not work for me in VM portal
I'll post the customers findings when they try this on the bug.

Removing needinfo from me till then, since the Bug is closed

Comment 13 Ivana Saranova 2020-12-14 15:54:26 UTC
Steps:
1. Create multiple VM's with a specific nomenclature (e.g. Rhel, idempiere, osp, ...)
2. Seach for the VM using only a partial subset of it's name or case sensitive variant of it's name. (e.g. id, os, rhel, ID, RHEL, ...)

Results:
VMs were filtered down correctly (e.g. for filter 'ID', 'idempiere' VM was found) and the search is not case sensitive ('Rhel' VM was found for 'rhel' search).

Verified in:
ovirt-web-ui-1.6.6-1.el8ev.noarch
ovirt-engine-4.4.4.4-0.9.el8ev.noarch

Comment 17 errata-xmlrpc 2021-02-02 13:57:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Low: RHV-M(ovirt-engine) 4.4.z security, bug fix, enhancement update [ovirt-4.4.4]), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0381